/*
 * Copyright 2009-2010  Stefan Gehn <stefan@srcbox.net>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef DRAGGABLE_HPP_
#define DRAGGABLE_HPP_

#include <qtgraphicswidget.h>

class DropTarget;

class Draggable: public QtGraphicsWidget
{
public:
  Draggable(QGraphicsItem *parent);
  virtual ~Draggable();

  //! @return Pointer to a DropTarget if this Draggable is currently overlapping
  //!         a DropTarget.
  DropTarget *collidingDropTarget() const;

  //! A fixed version of setParentItem() that keeps the current on-screen
  //! position and transformation
  void reparent(QGraphicsItem *parentItem);

protected:
  virtual void mouseReleaseEvent(QGraphicsSceneMouseEvent *event);
};

#endif /* DRAGGABLE_HPP_ */
