/*
 * Copyright 2009-2010  Stefan Gehn <stefan@srcbox.net>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PHOTOLISTVIEW_H_
#define PHOTOLISTVIEW_H_

#include <qlistview.h>

class PhotoListView : public QListView
{
Q_OBJECT
  enum MouseAction { None, Scroll, Drag };

public:
  PhotoListView();
  virtual ~PhotoListView();

protected:
  virtual void mouseMoveEvent(QMouseEvent *event);
  virtual void mousePressEvent(QMouseEvent *event);
  virtual void mouseReleaseEvent(QMouseEvent *event);

private:
  MouseAction mMouseAction;
  QPoint mMouseStartPos;
  QPoint mScrollOffset;

Q_SIGNALS:
  void photoDragStarted(const QPoint pos, const QString filePath);

};

#endif /* PHOTOLISTVIEW_H_ */
