/*
 * Copyright 2009-2010  Stefan Gehn <stefan@srcbox.net>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef TRASHDROPWIDGET_H_
#define TRASHDROPWIDGET_H_

#include "DropTarget.hpp"
#include <qgraphicswidget.h>
#include <qicon.h>

class Draggable;

class TrashDropWidget: public DropTarget
{
  Q_OBJECT
public:
  TrashDropWidget(QGraphicsItem * parent = 0);

  virtual void paint(QPainter *painter, const QStyleOptionGraphicsItem *option, QWidget *widget);
  virtual void dropped(Draggable *draggable);

private Q_SLOTS:
  void slotDeleteDropped();

private:
  QIcon mIcon;
};

#endif /* TRASHDROPWIDGET_H_ */
