/*
 * Copyright 2009-2010  Stefan Gehn <stefan@srcbox.net>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef IRDETECTOR_HPP_
#define IRDETECTOR_HPP_

#include "Packet.hpp"
#include "TouchData.hpp"

namespace IrTouch
{

class Decoder : public QObject
{
Q_OBJECT
public:
  Decoder();
	void decodePacket(const IrTouch::Packet &packet);
  const TouchData &touchData() const { return mData; }

private:
  TouchData mData;

	//! Cached values from settings
	int deltaMergeX, deltaMergeY;
	int deltaMoveX, deltaMoveY;

  void removeUnhandledValues(ValueList &vl);
};

} // namespace IrTouch

#endif /*IRDETECTOR_HPP_*/
