/*
 * Copyright 2009-2010  Stefan Gehn <stefan@srcbox.net>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef IRREADER_H_
#define IRREADER_H_

#include "packetreader.hpp"

#include <qdatetime.h>

class QextSerialPort;
class QTimerEvent;

namespace IrTouch
{
#define IRREADER_STATS

class SerialReader: public PacketReader
{
  Q_OBJECT

public:
  SerialReader();
  virtual ~SerialReader();
	bool isActive() const;

protected:
  void timerEvent(QTimerEvent *event);

private:
	bool startReader();
	void stopReader();
	void readData();

private:
	QString mSerialDeviceName;
  QextSerialPort *mSerialPort;
  QByteArray mData;
  int mReadTimerId;
  Packet mPacket;

#ifdef IRREADER_STATS
  QTime mLastPacketTime;
  QTime mAvgPacketTime;
  long mAvgPacketCnt;
#endif
};

}

#endif /*IRREADER_H_*/
