/*
 * Copyright 2009-2010  Stefan Gehn <stefan@srcbox.net>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef TOUCHEVENT_HPP_
#define TOUCHEVENT_HPP_

#include <qevent.h>
#include "TouchData.hpp"

namespace IrTouch
{

class TouchEvent : public QEvent
{
public:
  TouchEvent(TouchData data);
  virtual ~TouchEvent();
  const TouchData &data() const { return mData; }
  static const int eventType() { return sEventType; }
private:
  static const int sEventType;
  TouchData mData;
};

} // namespace

#endif /* TOUCHEVENT_HPP_ */
