/*
 * Copyright 2009-2010  Stefan Gehn <stefan@srcbox.net>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "Value.hpp"

namespace IrTouch
{

quint32 Value::sId = 1;

Value::Value() :
  mValue(0), mExtent(0), mScaleFactor(1),
  mHandled(false), mIsMerge(false), mMaxMergeOverlap(0)
{
  mId = 0;
  qDebug() << "NEW:  " << *this;
}

Value::Value(int value, int extent) :
  mValue(value), mExtent(extent), mScaleFactor(1),
  mHandled(false), mIsMerge(false), mMaxMergeOverlap(0)
{
  mId = sId++;
  qDebug() << "NEW:  " << *this;
}

} // namespace


QDebug operator<<(QDebug dbg, const IrTouch::Value &p)
{
  if (p.isValid())
  {
    dbg.nospace() << "Value(" <<
      p.id() << "; " << p.value() << "->" << p.extent() << ")";
  }
  else
  {
		dbg.nospace() << "Value( !INVALID! " <<
			p.id() << "; " << p.value() << "->" << p.extent() << ")";
  }
  return dbg.space();
}
