/*
 * Copyright 2009-2010  Stefan Gehn <stefan@srcbox.net>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef DUMPFILEREADER_HPP
#define DUMPFILEREADER_HPP

#include "packetreader.hpp"
#include <qobject.h>

class QTimer;
class QFile;

namespace IrTouch
{

class DumpFileReader : public PacketReader
{
	Q_OBJECT
public:
	DumpFileReader(const QString &dumpFilePath);
	virtual ~DumpFileReader();
	bool isActive() const;
private:
	QTimer *mTimer;
	QDataStream *mDump;
	IrTouch::Packet mPacket;
	QTime mLastPacketStamp;

	void readPacket();
	Q_SLOT void emitPacket();
};

}
#endif // DUMPFILEREADER_HPP
