/*
 * Copyright 2009-2010  Stefan Gehn <stefan@srcbox.net>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef PACKETREADER_HPP
#define PACKETREADER_HPP

#include <QObject>
#include "Packet.hpp"

class QIODevice;
class QTimerEvent;

namespace IrTouch {
class PacketReader : public QObject
{
	Q_OBJECT
public:
	virtual ~PacketReader() { }
	virtual bool isActive() const = 0;
	Q_SIGNAL void parsedPacket(IrTouch::Packet packet);
};
} // namespace IrTouch

#endif // PACKETREADER_HPP
