/*
 * Copyright 2009-2010  Stefan Gehn <stefan@srcbox.net>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef SETTINGS_HPP_
#define SETTINGS_HPP_

#include <qobject.h>
#include <qmatrix.h>

class QSettings;

namespace IrTouch
{

class Settings : public QObject
{
  Q_OBJECT

public:
  static Settings *self();

  int physicalWidth() const;
  int physicalHeight() const;

  bool flipXPos() const;
  bool flipYPos() const;

  bool correctXPos() const;
  bool correctYPos() const;

  const QMatrix calibrationMatrix() const;

	//! Delta values, returned in "touch coordinates"
	int deltaMoveX() const;
	int deltaMoveY() const;
	int deltaMergeX() const;
	int deltaMergeY() const;

  const QString device() const;
	bool record() const;

private: // methods
	Settings(QObject *parent);
	virtual ~Settings();

private: // variables
  static Settings *sSelf;
  QSettings *mSettings;
};

}

#endif /*SETTINGS_HPP_*/
