/*
 * Copyright 2009-2010  Stefan Gehn <stefan@srcbox.net>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "touchdatagroup.hpp"
#include <qapplication.h>

double TouchDataGroup::sPpmX = 1;
double TouchDataGroup::sPpmY = 1;

TouchDataGroup::TouchDataGroup(): mFont(QApplication::font())
{
	setZValue(1);

	mFont.setPointSize(64);

	mTextGroup = new QGraphicsItemGroup(this);
	mTextGroup->setZValue(2);
}

TouchDataGroup::~TouchDataGroup()
{
	delete mTextGroup;
}


void TouchDataGroup::clear()
{
	// delete text items
	Q_FOREACH(QGraphicsItem *ti, mTextGroup->childItems())
	{
		delete ti;
	}

	// delete remaining items except for the textgroup
	Q_FOREACH(QGraphicsItem *si, childItems())
	{
		if (si != mTextGroup)
			delete si;
	}
}

void TouchDataGroup::toggleVisible()
{
	qDebug() << "toggleVisible()";
	setVisible(!isVisible());
}

void TouchDataGroup::toggleTextVisible()
{
	qDebug() << "toggleTextVisible()";
	mTextGroup->setVisible(!mTextGroup->isVisible());
}
