/*
 * Copyright 2009-2010  Stefan Gehn <stefan@srcbox.net>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of 
 * the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef TOUCHDATAGROUP_HPP
#define TOUCHDATAGROUP_HPP

#include <QGraphicsItemGroup>
#include "TouchData.hpp"
#include <qbrush.h>
#include <qfont.h>

class TouchDataGroup : public QGraphicsItemGroup
{
protected:
	QBrush mBrush;
	QFont mFont;
	QGraphicsItemGroup *mTextGroup;
	void clear();

public:
	static double sPpmX;
	static double sPpmY;

	TouchDataGroup();
	virtual ~TouchDataGroup();
	virtual void update(const IrTouch::TouchData &data) = 0L;
	void toggleVisible();
	void toggleTextVisible();
};

#endif // TOUCHDATAGROUP_HPP
